/** @format */

import * as React from 'react';
import Select, {SelectOptionProp} from './select';
import {SelectValue} from 'antd/es/select';
import {Status} from '../../const/status';
const options: SelectOptionProp[] = [];
for (let k in Status) {
    if (!isNaN(Number(k))) {
        options.push({
            key: Number(k),
            label: Status[k],
            value: Number(k),
        });
    }
}
interface Iprops {
    onChange?: (value: SelectValue) => void;
    style?: React.CSSProperties;
    textStyle?: React.CSSProperties;
}

export default React.forwardRef((props: Iprops, ref) => {
    return <Select placeholder='请选择状态' defaultValue={0} options={options} {...props} />;
});
